<?xml version="1.0"?>
<cfsSimulation xmlns="http://www.cfs++.org/simulation" 
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
xsi:schemaLocation="http://www.cfs++.org/simulation 
https://opencfs.gitlab.io/cfs/xml/CFS-Simulation/CFS.xsd">
  <documentation>
    <title>Heat PDE</title>
    <authors>
      <author>ftoth</author>
    </authors>
    <date>2018-10-15</date>
    <keywords>
      <keyword>heatConduction</keyword>
    </keywords>
    <references></references>
    <isVerified>yes</isVerified>
    <description>2D wall
    </description>
  </documentation>
  <fileFormats>
    <input>
      <!-- specify you mesh input file here -->
<!--       <cdb fileName="test1.cdb"/> -->
      <cdb fileName="wall.cdb"/>
    </input>
    <output>
      <hdf5/><!-- the default output, i.e. the results_hdf5/job.cfs file -->
      <text id="txt"/><!-- you can also use text output (suitable for selected results, specify outputIds="txt" for them) -->
    </output>
    <materialData file="mat.xml" format="xml"/><!-- material database -->
  </fileFormats>
  
  <domain geometryType="plane">
    <regionList>
      <!-- specify material assignment here -->
      <region name="S_wall" material="concrete"/><!-- 'name' refers to the name of the 'Block' defined in Trelis, 'material' refers to the name of the material in the mat.xml file -->
    </regionList> 
  </domain>
  
  
  <sequenceStep index="1">
    <analysis>
      <static/>
    </analysis>
    
    <pdeList> 
      <heatConduction>
        
        <regionList>
          <!-- define regions to be included in the analysis -->
          <region name="S_wall"/>
        </regionList>

        <bcsAndLoads>
          <!-- define boundary conditions here -->
          <temperature name="L_left" value="25"/>
          <temperature name="L_right" value="-10"/>
        </bcsAndLoads>
        
        <storeResults>
          <nodeResult type="heatTemperature">
            <allRegions/>
          </nodeResult>
          <elemResult type="heatFluxDensity">
            <allRegions/>
          </elemResult>
        </storeResults>
      </heatConduction>
    </pdeList>
    
  </sequenceStep>
</cfsSimulation>

